import os
import json
import shutil


class FileSystemRepository:
    def readJSON(path: str):
        return json.loads((open(path)).read())

    def recursiveDeleteFolder(path: str):
        shutil.rmtree(path)
        pass

    def deletingOldAndCreatingNewFolder(path: str):
        if FileSystemRepository.isExistsPath(path):
            FileSystemRepository.recursiveDeleteFolder(path)
        os.makedirs(path)
        pass

    def isExistsPath(path: str):
        return os.path.exists(path)

    def writeFile(data, filePath, fileName):
        file_to_open = filePath + fileName

        f = open(file_to_open, "w", encoding="utf-8")
        f.write(data)
        f.close()
